Calculate Forum

Проблемы обновлений

Уже не первый раз при запуске cl-update вылазит такое:

(kde-frameworks/sonnet-5.77.0:5/5.77::gentoo, binary scheduled for merge) USE="hunspell nls -aspell -debug -designer -doc -test" ABI_X86="(64)" pulled in by
=kde-frameworks/sonnet-5.77*:5 required by (kde-frameworks/ktexteditor-5.77.0:5/5.77::gentoo, binary scheduled for merge) USE="editorconfig -debug -doc -git -test" ABI_X86="(64)"
^                      ^^^^^^^                                                                                                                                                                                                          

(kde-frameworks/sonnet-5.74.0:5/5.74::gentoo, installed) USE="hunspell nls -aspell -debug -designer -doc -test" ABI_X86="(64)" pulled in by
=kde-frameworks/sonnet-5.74*:5 required by (kde-frameworks/ktextwidgets-5.74.0:5/5.74::gentoo, installed) USE="-debug -designer -doc -speech -test" ABI_X86="(64)"
^                      ^^^^^^^ 

Но kde-frameworks/ktextwidgets тоже обновляется:

# eix kde-frameworks/ktextwidgets
[U] kde-frameworks/ktextwidgets
Доступные версии:      (5) 5.74.0(5/5.74)^t{tbz2} 5.77.0(5/5.77)^t ~5.78.0(5/5.78)^t
{debug designer doc speech test}
Установленные версии:  5.74.0(5/5.74)^t{tbz2}(16:48:40 07.10.2020)(-debug -designer -doc -speech -test)

но cl-update этого почему-то не видит, и из-за этого не может обновить систему.

PS это ранее уже не раз вылазило на разных пакетах, на этот раз kde-frameworks/sonnet, прошлый раз пакеты питона разных версий разводил вручную.

Как я понял, для kde-frameworks/ktextwidgets не собрали бинарник v.5.77.0 , из-за чего этот пакет не хочет сам обновляться.

Бинарный пакет kde-frameworks/ktextwidgets-5.77.0 есть.

Сделал eix-update, но tbz2 всё равно не показывает:

vadim ~ # eix-update
Чтение настроек Portage…
Построение базы данных (/var/cache/eix/portage.eix)…
[0] «gentoo» /usr/portage/ (кэш: metadata-md5-or-flat)
    Чтение категории 167|167 (100) Готово
[1] «custom» /var/calculate/custom-overlay (кэш: parse|ebuild*#metadata-md5#metadata-flat#assign)
    Чтение категории 167|167 (100) ПУСТО!
[2] «calculate» /var/db/repos/calculate (кэш: parse|ebuild*#metadata-md5#metadata-flat#assign)
    Чтение категории 167|167 (100) Готово
[3] «distros» /var/db/repos/distros (кэш: parse|ebuild*#metadata-md5#metadata-flat#assign)
    Чтение категории 167|167 (100) ПУСТО!
Применение масок…
Расчёт хеш-таблиц…
Запись файла базы данных /var/cache/eix/portage.eix…
База данных содержит 19195 пакетов в 167 категориях
vadim ~ # eix kde-frameworks/ktextwidgets
[U] kde-frameworks/ktextwidgets
    Доступные версии:      (5) 5.77.0(5/5.77)^t ~5.78.0(5/5.78)^t
    {debug designer doc speech test}
    Установленные версии:  5.74.0(5/5.74)^t{tbz2}(16:48:40 07.10.2020)(-debug -designer -doc -speech -test)
    Домашняя страница:     https://kde.org/products/frameworks/
    Описание:              Framework providing an assortment of widgets for displaying and editing text

{tbz2} у 5.77.0 не показывает - как я понимаю, это бинарник?

eix показывает, что у вас установлена версия 5.74.0 из бинарного пакета.

Я про то, что у 5.77.0 бинарник не видит.

Ошибку при cl-update и сейчас выдаёт.

При этом если написать:

emerge -av =kde-frameworks/ktextwidgets-5.77.0

то выругается, но в выводе будет строка:

[binary     U  ] kde-frameworks/ktextwidgets-5.77.0:5/5.77::gentoo [5.74.0:5/5.74::gentoo] USE="-debug -designer -doc -speech -test" 326 KiB

т.е. по какой-то причине cl-update не хочет подхватывать этот пакет на обновление.

Там ниже вот что ещё выводит:

!!! The slot conflict(s) shown above involve package(s) which may need to
!!! be rebuilt in order to solve the conflict(s). However, the following
!!! package(s) cannot be rebuilt for the reason(s) shown:

(dev-qt/qtcore-5.15.1-r1:5/5.15.1::gentoo, installed): ebuild is masked or unavailable
(kde-frameworks/kxmlgui-5.74.0-r2:5/5.74::gentoo, installed): ebuild is masked or unavailable

У меня в /etc/portage/package.mask только пустой файл custom

© 2007-2020 Calculate Ltd.
Mastodon Mastodon